Subject: Re: bug#28479: icecat-52.3.0-gnu1 includes Google in search engines

From: ng0 <[email-masked]>
Date: Mon, 18 Sep 2017 07:11:00 +0000

Mark H Weaver transcribed 0.4K bytes:
> Hi,
> 
> ng0 <[email-masked]> writes:
> 
> > Is this an upstream bug? Should we patch to remove Google?
> >
> > I've just compared a completely new system (and Icecat profile)
> > with my default profile, both include Google in search engines.
> >
> > There's also Bing and Yahoo, I'm not sure if all 3 were present
> > before this version.
> 
> Why would it be considered a bug to give users the convenient option to
> use those search engines?
> 
>        Mark

For example the branch of firefox which Parabola distributes
makes changes not to default to Google. People rarely
change defaults, so we should give the option to use Google
but default to for example searx.me or duckduckgo.com.

I keep my configs in git and just pull them every time I set
up a new system, so I wouldn't know if Icecat has always
included Google and the others.

Maybe my view on this problem (privacy issues) goes beyond our
guidelines?
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://www.krosos.org